net.minecraft.client.gui

## Class SelectionListBase

- java.lang.Object
- - net.minecraft.client.gui.SelectionListBase

-     public abstract class SelectionListBase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_148452_d`
    `protected int` | `field_148454_b`
    `protected int` | `field_148455_c`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectionListBase(Minecraft par1Minecraft, int par2, int par3, int par4, int par5, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `func_148440_e()`
    `int` | `func_148441_d()`
    `protected abstract void` | `func_148442_a(int var1, int var2, int var3, int var4, Tessellator var5)`
    `protected abstract int` | `func_148443_a()`
    `protected abstract boolean` | `func_148444_a(int var1)`
    `protected abstract void` | `func_148445_c()`
    `void` | `func_148446_a(int p_148446_1_, int p_148446_2_, float p_148446_3_)`
    `protected int` | `func_148447_b()`
    `protected abstract void` | `func_148449_a(int var1, boolean var2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_148454_b

          protected final int field_148454_b

    - #### field_148455_c

          protected int field_148455_c

    - #### field_148452_d

          protected int field_148452_d

  - ### Constructor Detail

    - #### SelectionListBase

          public SelectionListBase(Minecraft par1Minecraft,
                           int par2,
                           int par3,
                           int par4,
                           int par5,
                           int par6)

  - ### Method Detail

    - #### func_148443_a

          protected abstract int func_148443_a()

    - #### func_148449_a

          protected abstract void func_148449_a(int var1,
                           boolean var2)

    - #### func_148444_a

          protected abstract boolean func_148444_a(int var1)

    - #### func_148447_b

          protected int func_148447_b()

    - #### func_148445_c

          protected abstract void func_148445_c()

    - #### func_148442_a

          protected abstract void func_148442_a(int var1,
                           int var2,
                           int var3,
                           int var4,
                           Tessellator var5)

    - #### func_148441_d

          public int func_148441_d()

    - #### func_148446_a

          public void func_148446_a(int p_148446_1_,
                           int p_148446_2_,
                           float p_148446_3_)

    - #### func_148440_e

          protected int func_148440_e()